explain_fgetc_or_die(3)

NAME
explain_fgetc_or_die - input of characters and report errors

SYNOPSIS
#include <libexplain/fgetc.h>

int explain_fgetc_or_die(FILE *fp);

DESCRIPTION
The explain_fgetc_or_die function is used to call the fgetc(3) system call. On failure an explanation will be printed to stderr, obtained from explain_fgetc(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    int c = explain_fgetc_or_die(fp);

fp  The fp, exactly as to be passed to the fgetc(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

fgetc(3)
    input of characters

explain_fgetc(3)
    explain fgetc(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller